<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\ButtonsMessage;

use UnexpectedValueException;




class HeaderType
{
    


    const UNKNOWN = 0;
    


    const PBEMPTY = 1;
    


    const TEXT = 2;
    


    const DOCUMENT = 3;
    


    const IMAGE = 4;
    


    const VIDEO = 5;
    


    const LOCATION = 6;

    private static $valueToName = [
        self::UNKNOWN => 'UNKNOWN',
        self::PBEMPTY => 'EMPTY',
        self::TEXT => 'TEXT',
        self::DOCUMENT => 'DOCUMENT',
        self::IMAGE => 'IMAGE',
        self::VIDEO => 'VIDEO',
        self::LOCATION => 'LOCATION',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            $pbconst =  __CLASS__. '::PB' . strtoupper($name);
            if (!defined($pbconst)) {
                throw new UnexpectedValueException(sprintf(
                        'Enum %s has no value defined for name %s', __CLASS__, $name));
            }
            return constant($pbconst);
        }
        return constant($const);
    }
}

